osl::move_generator::CaptureEffectToAroundKing8< P > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::move_generator::CaptureEffectToAroundKing8< P > Struct Template Reference

Capture pieces that has effect to squares around King and to the King. More...

`#include <captureEffectToAroundKing8.h>`

## Static Public Member Functions
template<class Action >
static void | generateTo (const NumEffectState &state, Square p, Action &action)
static void | generate (const NumEffectState &state, MoveVector &moves)

## Detailed Description

### template<Player P>
struct osl::move_generator::CaptureEffectToAroundKing8< P >

Capture pieces that has effect to squares around King and to the King.

- TODO should be Capture Effecto To Around King 9?
- Using centering3x3, i.e. if the King is on the edge, the area is move towards the center of the board.

Definition at line 21 of file captureEffectToAroundKing8.h.

## Member Function Documentation

template<Player P>

static void osl::move_generator::CaptureEffectToAroundKing8< P >::generate | ( | const NumEffectState & | state,
|  | MoveVector & | moves
| ) |  |
| inlinestatic

Definition at line 39 of file captureEffectToAroundKing8.h.

References osl::Centering3x3::adjustCenter(), osl::Board_Table, osl::D, osl::DL, osl::DR, osl::move_generator::CaptureEffectToAroundKing8< P >::generateTo(), osl::BoardTable::getOffsetForBlack(), osl::L, osl::R, osl::U, osl::UL, and osl::UR.

template<Player P>
template<class Action >

static void osl::move_generator::CaptureEffectToAroundKing8< P >::generateTo | ( | const NumEffectState & | state,
|  | Square | p,
|  | Action & | action
| ) |  |
| inlinestatic

Definition at line 24 of file captureEffectToAroundKing8.h.

References osl::ntesuki::capture(), osl::Square::isEdge(), and osl::Square::isOnBoard().

Referenced by osl::move_generator::CaptureEffectToAroundKing8< P >::generate().

The documentation for this struct was generated from the following file:

- captureEffectToAroundKing8.h